%define upstream_name    Dist-Zilla-Plugin-Git-Describe
%define upstream_version 0.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Add the results of `git describe` (roughly) to your main module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::PPI)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(Moose)
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

%description
This plugin will add the long-form git commit description for the current
repo to the dist's main module as a comment. It may change, in the future,
to put things in a package variable, or to provide an option.

It inserts this in the same place that PkgVersion would insert a version.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.7.0-4.mga8
+ Revision: 1504036
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.7.0-3.mga7
+ Revision: 1283013
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.7.0-2.mga7
+ Revision: 1164196
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.7.0-1.mga7
+ Revision: 1157533
- update to 0.007

* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-3.mga6
+ Revision: 1026206
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.6.0-2.mga6
+ Revision: 969073
- Mageia 6 Mass Rebuild

* Wed Aug 05 2015 sander85 <sander85> 0.6.0-1.mga6
+ Revision: 861328
- update to 0.006

* Tue Jun 30 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 849034
- update to 0.005

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 742371
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.3.0-2.mga4
+ Revision: 537085
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.3.0-1.mga4
+ Revision: 486245
- update to 0.003

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 366173
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 0.2.0-1.mga3
+ Revision: 298299
- imported package perl-Dist-Zilla-Plugin-Git-Describe


* Wed Sep 26 2012 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
